## org.firebirdsql.gds
Interface TransactionParameterBuffer

All Known Implementing Classes:
  TransactionParameterBufferImpl, TransactionParameterBufferImpl

    public interface TransactionParameterBuffer

Instances of this interface represent Transaction Parameter Buffer from the Firebird API.

Field Summary
`static int` `AUTOCOMMIT`
`static int` `COMMIT_TIME`
`static int` `CONCURRENCY`
`static int` `CONSISTENCY`
`static int` `EXCLUSIVE`
`static int` `IGNORE_LIMBO`
`static int` `LOCK_READ`
`static int` `LOCK_WRITE`
`static int` `NO_AUTO_UNDO`
`static int` `NO_REC_VERSION`
`static int` `NOWAIT`
`static int` `PROTECTED`
`static int` `READ`
`static int` `READ_COMMITTED`
`static int` `REC_VERSION`
`static int` `RESTART_REQUESTS`
`static int` `SHARED`
`static int` `VERB_TIME`
`static int` `WAIT`
`static int` `WRITE`

Method Summary
`void` `addArgument(int argumentType)` Add argument.
`void` `addArgument(int argumentType, byte[] content)` Add array of bytes.
`void` `addArgument(int argumentType, int value)` Add integer argument.
`void` `addArgument(int argumentType, String value)` Add string argument.
`TransactionParameterBuffer` `deepCopy()` Make a deep copy of this object.
`int` `getArgumentAsInt(int argumentType)` Get argument as int.
`String` `getArgumentAsString(int argumentType)` Get argument as string.
`boolean` `hasArgument(int argumentType)` Check if this parameter buffer has specified argument.
`void` `removeArgument(int argumentType)` Remove specified argument.

Field Detail

### AUTOCOMMIT

    static final int AUTOCOMMIT

See Also:
  Constant Field Values

### READ_COMMITTED

    static final int READ_COMMITTED

See Also:
  Constant Field Values

### REC_VERSION

    static final int REC_VERSION

See Also:
  Constant Field Values

### NO_REC_VERSION

    static final int NO_REC_VERSION

See Also:
  Constant Field Values

### CONCURRENCY

    static final int CONCURRENCY

See Also:
  Constant Field Values

### CONSISTENCY

    static final int CONSISTENCY

See Also:
  Constant Field Values

### SHARED

    static final int SHARED

See Also:
  Constant Field Values

### PROTECTED

    static final int PROTECTED

See Also:
  Constant Field Values

### EXCLUSIVE

    static final int EXCLUSIVE

See Also:
  Constant Field Values

### WAIT

    static final int WAIT

See Also:
  Constant Field Values

### NOWAIT

    static final int NOWAIT

See Also:
  Constant Field Values

### READ

    static final int READ

See Also:
  Constant Field Values

### WRITE

    static final int WRITE

See Also:
  Constant Field Values

### LOCK_READ

    static final int LOCK_READ

See Also:
  Constant Field Values

### LOCK_WRITE

    static final int LOCK_WRITE

See Also:
  Constant Field Values

### VERB_TIME

    static final int VERB_TIME

See Also:
  Constant Field Values

### COMMIT_TIME

    static final int COMMIT_TIME

See Also:
  Constant Field Values

### IGNORE_LIMBO

    static final int IGNORE_LIMBO

See Also:
  Constant Field Values

### RESTART_REQUESTS

    static final int RESTART_REQUESTS

See Also:
  Constant Field Values

### NO_AUTO_UNDO

    static final int NO_AUTO_UNDO

See Also:
  Constant Field Values

Method Detail

### addArgument

    void addArgument(int argumentType)

  Add argument.

  Parameters:
    `argumentType` - type of argument.

### addArgument

    void addArgument(int argumentType,
                     String value)

  Add string argument.

  Parameters:
    `argumentType` - type of argument.
    `value` - string value to add.

### addArgument

    void addArgument(int argumentType,
                     int value)

  Add integer argument.

  Parameters:
    `argumentType` - type of argument.
    `value` - integer value to add.

### addArgument

    void addArgument(int argumentType,
                     byte[] content)

  Add array of bytes.

  Parameters:
    `argumentType` - type of argument.
    `content` - content of argument.

### removeArgument

    void removeArgument(int argumentType)

  Remove specified argument.

  Parameters:
    `argumentType` - type of argument to remove.

### getArgumentAsString

    String getArgumentAsString(int argumentType)

  Get argument as string.

  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    argument as string or `null` if nothing found.

### getArgumentAsInt

    int getArgumentAsInt(int argumentType)

  Get argument as int.

  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    argument as string or `0` if nothing found.

### hasArgument

    boolean hasArgument(int argumentType)

  Check if this parameter buffer has specified argument.

  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    `true` if this buffer contains specified argument.

### deepCopy

    TransactionParameterBuffer deepCopy()

  Make a deep copy of this object.

  Returns:
    deep copy of this object.

Copyright © 2001-2010. All Rights Reserved.